/// <reference types="es6-promise" />
import { Reporter, MutantResult, SourceFile } from 'stryker-api/report';
import { StrykerOptions } from 'stryker-api/core';
export default class HtmlReporter implements Reporter {
    private options;
    private rootNode;
    private _baseFolder;
    private templates;
    private mainPromise;
    constructor(options: StrykerOptions);
    onAllSourceFilesRead(files: SourceFile[]): void;
    onAllMutantsTested(results: MutantResult[]): void;
    private generateReport();
    private writeBootstrapAndHighlightResources();
    private writeStrykerResources();
    private writeCommonResources();
    private writeReport();
    private readonly baseFolder;
    private cleanBaseFolder();
    wrapUp(): Promise<void>;
}
